

/**
 * oscP5sendreceive by andreas schlegel
 * example shows how to send and receive osc messages.
 * oscP5 website at http://www.sojamo.de/oscP5
 */
 
/*
OSC test Sketch for iOSC(need oscP5 library. http://www.sojamo.de/oscP5)
This sketch uses a No2set(button*3,slier*1) of iOSC as default setting.
But an IPaddress,port please change setting  in iOSC side.

IPaddress :this PC IPaddress
Port No:10000

*/
import oscP5.*;

  
OscP5 oscP5;

void setup() {
  size(400,400);
  frameRate(25);
  
  int recievePort=10000;

  oscP5 = new OscP5(this,recievePort);
  
 
}


void draw() {
//  background(0);  
}



//OSC recieve event handler

void oscEvent(OscMessage recieveMessage) {
  /* print the address pattern and the typetag of the received OscMessage */
  int value;
  float valueFloat;

  //osc message namespace logging
  print(" addrpattern: "+recieveMessage.addrPattern());
  print(" typetag: "+recieveMessage.typetag());

  //address pattern check
  if(  recieveMessage.checkAddrPattern("/osc/button1")==true){
    
    //type tag(int,float,string..) check
    if(recieveMessage.checkTypetag("i")) {
      
      //get OSC value
      value = recieveMessage.get(0).intValue();
      
        println(" value: "+value);
      
      //process
        if(value==1){
            background(255,0,0);
        }
        else{
            background(0);
        }
      
    }
  }
  
  else if(  recieveMessage.checkAddrPattern("/osc/button2")==true){
     
    if(recieveMessage.checkTypetag("i")) {
      
      value = recieveMessage.get(0).intValue();
      
        println(" value: "+value);
      
      if(value==1){
            background(0,255,0);
      }
      else{
            background(0);
      }
      
    }
  }
  
  else if(  recieveMessage.checkAddrPattern("/osc/button3")==true){
     
    if(recieveMessage.checkTypetag("i")) {
      
      value = recieveMessage.get(0).intValue();
      
        println(" value: "+value);
      
      if(value==1){
          background(0,0,255);
      }
      else{
          background(0);
      }
      
    }
  }
  
  else if(  recieveMessage.checkAddrPattern("/osc/slider1")==true){
     
    if(recieveMessage.checkTypetag("f")) {
      
      valueFloat = recieveMessage.get(0).floatValue();
      
      println(" value: "+valueFloat);
 
        background(valueFloat*255,valueFloat*255,valueFloat*255);
 
    }
  }
  
}
